/* Banana-Chat - The first Open Source Knuddels Emulator
 * Copyright (C) 2011 - 2012 Flav <http://banana-coding.com>
 * 
 * Diese Dateien unterliegen dem Coprytight von Banana-Coding und
 * darf verändert, aber weder in andere Projekte eingefügt noch
 * reproduziert werden.
 * 
 * Der Emulator dient - sofern der Client nicht aus Eigenproduktion
 * stammt - nur zu Lernzwecken, das Hosten des originalen Knuddels Clients
 * ist auf eigene Gefahr und verstößt möglicherweise gegen Schutzrechte
 * der Knuddels.de GmbH & Co KG
 * 
 * Autoren: Flav (Grundversion), Localhost (Erweiterte Version), Kokos-Ice (Erweiterte Version)
 */



package handler;

import netchat.Client;
import netchat.Server;
import tools.popup.Popup;
import tools.PacketCreator;

public class HandshakeHandler {
    public static void handle(String[] tokens, Client client) {
    	String applet = tokens[1].trim();
    	String url = tokens[2].trim();
    	String category = tokens[3].trim();
    	String java = tokens[4].trim();

    	

        client.send(PacketCreator.butler());
    	client.setLoginCategory(Byte.parseByte(category));
        client.sendHello();
        client.setAppletVersion(applet);
        client.setJavaVersion(java);
    }
}
